Subject: Re: [bug#42037] [PATCH 0/3] gnu: lxqt-build-tools: Update to 0.7.0.

From: Jonathan Brielmaier <[email-masked]>
Date: Thu, 25 Jun 2020 22:51:21 +0200

I have a branch with lxqt 0.15 with all packages working including
lxqt-build-tools.

I'll post it as a patch series.

Sorry for the duplicated effort, I've should sent it earlier...

On 25.06.20 22:27, Andre Batista wrote:
> Hello,
>
> qui 25 jun 2020 às 12:28:49 (1593098929), [email-masked] enviou:
>> Hi,
>>
>> After applying the patches, “guix build lxqt” fails:
>
> Current guix version of lxqt is failing as well since liblxqt cannot
> be built.
>
>> Maybe all the lxqt packages should be upgraded in lockstep?
>
> Certainly. It was only after sending the first patch that it occured
> to me that it would be necessary to upgrade the whole DE in a single
> step. I'm sorry.
>
> I've tried to do it, but 'qps' is failing, so no lxqt for now.
>
> lxqt-connman-applet is also failing - both before and after this
> patch - but it does not seem to be needed to build lxqt.
>
>> If that is the case, it’s better to upgrade them in a single commit,
>> such that there are no intermediate commits where things fail to build.
>
> Ok, I'll try a bit more and will get back to you.
>
> Thanks,
>
>
>